Subject: Re: Line Folding + Grammar strictiness {RESEND}

From: Pyda Srisuresh <[email-masked]>
Date: Thu, 25 Nov 1999 07:44:26 -0800 (PST)

--- Henning Schulzrinne <[email-masked]> wrote:
> 
> 
> Lars Berggren wrote:
> > 
> 
> > 
> > There are also cases when the host part of the user@host form causes
> > problems when creating a globally unique id, e.g. for hosts on LANs without
> > globally unique hostnames or ip-addresses.
> > 

A host must either have a globally unique name or globally unique IP address
in order for the host to be globally accessible by external hosts.
Hosts in private domain (say, 10.0 address space) do not have globally unique
addresses, but can have globally unique DNS names.

> > However if such hosts is to be reached globally I believe they must have
> > some globally reachable sip-url (where the host part indicates some kind
> > of nat-sip-proxy).
> > Thus, I think it might be a good idea that clients without globally unique
> > ip-addresses constructs its Call-ID from their globally reachable sip-url
> > or some other unique token (given by the sysadmin) that can be configured
> > into the client.

I dont see a problem with the current SIP URL, as this does allow for
idetifying a host by name. 

> > 
> > For example:
> > Call-ID: [email-masked];tag=12921838
> > or
> > Call-ID:[email-masked]
> > (the latter following the current rfc stated syntax of Call-ID)
> > 
> > What about this? Is it something to add to the firewall-friendly
> > implementation requirements in appendix A of the rfc?
> > 
> 
Of the two examples you gave,  how does the former offer any advantage 
over the latter for a 10.0 host? How is it more firewall/NAT friendly
than the other? Thanks.

> I'm not sure that making the Call-ID more complicated is all that
> helpful, since it is after all (mostly) an opaque identifier. The local
> part is supposed to be globally unique all by itself, with the host part
> adding a layer of "insurance" that makes it safe to use mainly
> time-based identifiers as the local part.
> 
> For those with non-globally-unique addresses, there is a potential
> problem only if they use a 10.x.x.x address. (Even in that case, the
> likelihood of bad consequences is probably small.) Otherwise, if they
> use a host name, that host is not likely to be pingable or resolvable
> via DNS, but probably unique.
> 
> Thus, I would suggest leaving things as is. It doesn't seem to be broken
> and I'm reluctant to add complexity if I can help it.
> 

I agree.

> Henning

regards,
suresh
__________________________________________________
Do You Yahoo!?
Thousands of Stores.  Millions of Products.  All in one place.
Yahoo! Shopping: http://shopping.yahoo.com

---

From: Lars Berggren <[email-masked]>
Date: Thu, 25 Nov 1999 17:21:37 +0100 (CET)

> idetifying a host by name. 

I didn't say that there was a problem with the sip-url, rather I said the
sip-url was the solution for a 10.x.x.x-host when constructing the
Call-ID.

> over the latter for a 10.0 host? How is it more firewall/NAT friendly

Didn't say that one example was more firewall-friendly than the other.
These two examples were just examples of how a Call-ID might look like if
they were constructed from a sip-url of a 10.x.x.x-host.

Note that the 'sip.company.com' is the name of the firewall and is used to
form a global sip-url to a host without unique address behind the
firewall.

> > and I'm reluctant to add complexity if I can help it.

Lars Berggren       <[email-masked]>
Intertex Data AB    tel: +46-8-6282828
Sundbyberg, Sweden  fax: +46-8-6286414